Show / Hide Table of Contents

# Class DtrBarEntry

Class representing an entry in the server info bar.

##### Inheritance

System.Object
DtrBarEntry

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.Dtr

###### Assembly: Dalamud.dll

##### Syntax

    public class DtrBarEntry : IDisposable

### Properties

| Improve this Doc View Source

#### Shown

Gets or sets a value indicating whether this entry is visible.

##### Declaration

    public bool Shown { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Text

Gets or sets the text of this entry.

##### Declaration

    public SeString Text { get; set; }

##### Property Value

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### Title

Gets the title of this entry.

##### Declaration

    public string Title { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Remove()

Remove this entry from the bar. You will need to re-acquire it from DtrBar to reuse it.

##### Declaration

    public void Remove()

### Implements

System.IDisposable